-- Load Libraries
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")

-- Defense Stats
local Resilience_Frame = ldb:NewDataObject("SN - Resilience", {type = "data source", label = "Resilience", text = "", icon = "Interface\\Icons\\achievement_arena_3v3_7"})
local Total_Resilience_Frame = ldb:NewDataObject("SN - Total Resilience", {type = "data source", label = "Total Resilience", text = "", icon = "Interface\\Icons\\achievement_arena_5v5_5"})

-- Defense Frames
local Resilience = CreateFrame("frame")
local Total_Resilience = CreateFrame("frame")


-- Data Input
Resilience:SetScript("OnUpdate", function(self, elap)
	local Percent_Resil = GetCombatRatingBonus("17")
	Resilience_Frame.text = string.format("-%.2f%%", Percent_Resil)
end)

Total_Resilience:SetScript("OnUpdate", function(self, elap)
	local Total_Resil = GetCombatRating("17")
	Total_Resilience_Frame.text = Total_Resil
end)